Přeskočit na hlavní obsah

Tento prohlížeč se už nepodporuje.

Upgradujte na Microsoft Edge, abyste mohli využívat nejnovější funkce, aktualizace zabezpečení a technickou podporu.

Stáhnout Microsoft Edge Další informace o Internet Exploreru a Microsoft Edgi
microsoft-foundry.rest.security.o-auth2-auth

Agent Sessions

Get a session

GET /agents/{agent_name}/endpoint/sessions/{session_id}

Retrieves the details of a hosted agent session by agent name and session identifier.

Parametry cesty

agent_name string vyžadováno

The name of the agent.

session_id string vyžadováno

The session identifier.

Parametry dotazů

api-version string vyžadováno

The API version to use for this operation.

Odpovědi

The request has succeeded.

Text

Content-Type: application/json
agent_session_id string vyžadováno

The session identifier.

version_indicator version_ref vyžadováno

Version indicator determining which agent version backs the session.

Jeden z následujících:
version_ref VersionRefIndicator

Version indicator that references a specific agent version by name.

type enum vyžadováno

Discriminator value for version_ref.

version_ref
agent_version string vyžadováno

The agent version identifier returned by the agent version APIs.

status string | enum vyžadováno

The status of an agent session.

Některá z následujících možností:
string
enum
creatingactiveidleupdatingfaileddeletingdeletedexpired
created_at integer vyžadováno

The Unix timestamp (in seconds) when the session was created.

last_accessed_at integer vyžadováno

The Unix timestamp (in seconds) when the session was last accessed.

expires_at integer vyžadováno

The Unix timestamp (in seconds) when the session expires (rolling, 30 days from last activity).

stopped_at integer

The Unix timestamp (in seconds) when the session sandbox was last observed to stop or go idle. Present only after the session has gone idle at least once, used for accurate idle-billing reconciliation.

Client error

Text

Content-Type: application/json
error OpenAI.Error vyžadováno
code string | null vyžadováno
message string vyžadováno
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
Některá z následujících možností:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string vyžadováno

The public continuation instruction.

details OpenAI.Error[]
additionalInfo object
debugInfo object

Server error

Text

Content-Type: application/json
error OpenAI.Error vyžadováno
code string | null vyžadováno
message string vyžadováno
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
Některá z následujících možností:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string vyžadováno

The public continuation instruction.

details OpenAI.Error[]
additionalInfo object
debugInfo object

Žádost

GET /agents/{agent_name}/endpoint/sessions/{session_id} HTTP/1.1

Response

Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json
cs-cz
Vaše volby ochrany osobních údajů
  • Právní omezení AI
  • Předchozí verze
  • Blog
  • Přispět
  • Ochrana osobních údajů
  • Ochrana osobních zdravotních údajů spotřebitelů
  • Podmínky použití
  • Ochranné známky
  • © Microsoft 2026